package com.hw.qms.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 质检工单对象 qms_quality_instance
 * 
 * @author xins
 * @date 2024-01-23
 */
public class QmsQualityInstance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 质检工单实例ID */
    private Long qualityInstanceId;

    /** 工单流程ID，关联wf_process的wf_process_id;固定流程ID */
    @Excel(name = "工单流程ID，关联wf_process的wf_process_id;固定流程ID")
    private Long wfProcessId;

    /** 状态（0：未启动，1：启动，2：执行中，3：结束，4：已撤回，9：已删除） */
    @Excel(name = "状态", readConverterExp = "0=：未启动，1：启动，2：执行中，3：结束，4：已撤回，9：已删除")
    private String wfInstanceStatus;

    /** 质检结果ID,关联qms_check_result主键 */
    @Excel(name = "质检结果ID,关联qms_check_result主键")
    private Long checkResultId;

    /** 质检描述 */
    @Excel(name = "质检描述")
    private String qualityDescription;

    /** 处理开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处理开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 处理结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处理结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 质检工单实例节点信息 */
    private List<QmsQualityInstanceActivity> qmsQualityInstanceActivityList;

    public void setQualityInstanceId(Long qualityInstanceId) 
    {
        this.qualityInstanceId = qualityInstanceId;
    }

    public Long getQualityInstanceId() 
    {
        return qualityInstanceId;
    }
    public void setWfProcessId(Long wfProcessId) 
    {
        this.wfProcessId = wfProcessId;
    }

    public Long getWfProcessId() 
    {
        return wfProcessId;
    }
    public void setWfInstanceStatus(String wfInstanceStatus) 
    {
        this.wfInstanceStatus = wfInstanceStatus;
    }

    public String getWfInstanceStatus() 
    {
        return wfInstanceStatus;
    }
    public void setCheckResultId(Long checkResultId) 
    {
        this.checkResultId = checkResultId;
    }

    public Long getCheckResultId() 
    {
        return checkResultId;
    }
    public void setQualityDescription(String qualityDescription) 
    {
        this.qualityDescription = qualityDescription;
    }

    public String getQualityDescription() 
    {
        return qualityDescription;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }

    public List<QmsQualityInstanceActivity> getQmsQualityInstanceActivityList()
    {
        return qmsQualityInstanceActivityList;
    }

    public void setQmsQualityInstanceActivityList(List<QmsQualityInstanceActivity> qmsQualityInstanceActivityList)
    {
        this.qmsQualityInstanceActivityList = qmsQualityInstanceActivityList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("qualityInstanceId", getQualityInstanceId())
            .append("wfProcessId", getWfProcessId())
            .append("wfInstanceStatus", getWfInstanceStatus())
            .append("checkResultId", getCheckResultId())
            .append("qualityDescription", getQualityDescription())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("qmsQualityInstanceActivityList", getQmsQualityInstanceActivityList())
            .toString();
    }
}
